List custom domains
curl --request GET \
--url https://api.akua.dev/v1/workspaces/{id}/custom_domains \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.akua.dev/v1/workspaces/{id}/custom_domains"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.akua.dev/v1/workspaces/{id}/custom_domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"workspace_id": "<string>",
"hostname": "<string>",
"target": {
"kind": "install",
"install_id": "<string>"
},
"protocol": "http",
"routing_mode": "through_dispatcher",
"ssl": {
"status": "pending_validation",
"validation_records": [
{}
]
},
"status": "provisioning",
"created_at": 1,
"updated_at": 1,
"etag": "<string>"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}Custom domains
List custom domains
Lists custom domains belonging to a workspace.
GET
/
workspaces
/
{id}
/
custom_domains
List custom domains
Authorizations
workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens
Path Parameters
Workspace ID
Required string length:
1 - 53Query Parameters
Pagination cursor from a previous response's next_cursor.
Items per page (1-100, default 50)
Required range:
1 <= x <= 100Example:
50
Available options:
install, cluster, external Available options:
provisioning, active, failed, releasing ⌘I